Atualizar configurações de provedores do merchant
curl --request PATCH \
--url https://api.malga.io/v1/providers/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>' \
--data '
{
"name": "SANDBOX",
"credentials": {
"type": "SANDBOX",
"apiKey": "1234567890"
},
"acquirer": {
"merchantId": "1234567890",
"bin": [
{
"brand": "Mastercard",
"value": "550259"
}
]
}
}
'import requests
url = "https://api.malga.io/v1/providers/{id}"
payload = {
"name": "SANDBOX",
"credentials": {
"type": "SANDBOX",
"apiKey": "1234567890"
},
"acquirer": {
"merchantId": "1234567890",
"bin": [
{
"brand": "Mastercard",
"value": "550259"
}
]
}
}
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'SANDBOX',
credentials: {type: 'SANDBOX', apiKey: '1234567890'},
acquirer: {merchantId: '1234567890', bin: [{brand: 'Mastercard', value: '550259'}]}
})
};
fetch('https://api.malga.io/v1/providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Providers
Atualizar configurações de provedores do merchant
PATCH
/
v1
/
providers
/
{id}
Atualizar configurações de provedores do merchant
Path Parameters
Id do provedor
Body
application/json
Nome opcional de identificação do provedor
Example:
"SANDBOX"
Informe as credenciais fornecidas pelo provedor para autenticação.
Como exemplo, utilizamos as credenciais de SANDBOX, porém a estrutura pode variar conforme o provedor. Consulte a API de criação de merchant para saber quais informações são exigidas pelo seu provedor.
ATENÇÃO: Alterar as credenciais pode impactar a integração e interromper o funcionamento dos serviços. Certifique-se de sempre validar as novas credenciais alteradas antes de atualizar.
Show child attributes
Show child attributes
Informações do adquirente
- MID único
- Múltiplos MID's
Show child attributes
Show child attributes
Response
200 - undefined
Was this page helpful?
⌘I